Google pomalu končí s podporou NPAPI

Google oznámil, že začne v prohlížečích Chrome implicitně blokovat většinu pluginů využívajících Netscape Plugin API - NPAPI.

Reklama

Historie Netscape Plugin API (NPAPI) sahá až k Netscape Navigatoru 2.0, od příštího roku však Google přestane všechny pluginy a aplikace na tomto rozhraní založené podporovat. Od ledna 2014 bude Chrome defaultně blokovat pluginy založené na NPAPI s výjimkou těch, které budou na seznamu povolených (nejvíce využívaných) pluginů. Mezi tyto povolené přídavky budou patřit Silverlight, Unity, Google Earth, Google Talk a Facebook Video. Blokace ostatních pluginů proběhne podle Googlu “z bezpečnostních důvodů.”

Podle Googlu je výše zmíněných šest přídavků jediných, které byly v uplynulém měsíci využívány více než pěti procenty uživatelů. IT administrátoři a uživatelé budou moci do seznamu povolených aplikací přidat jakékoli jiné (defaultně zablokované) přídavky. Vývojáři od včerejška již nemohou vkládat jakékoli aplikace a přídavky založené na NPAPI do Chrome Web Store a pluginy již nahrané budou v e-shopu dostupné do března příštího roku. Google přestane podporovat NPAPI nakonec pro všechny přídavky, datum ukončení podpory však bude záležet na odezvě uživatelů.

Zdroj: ZDNet

Reklama

Přidat komentář